import request from '@/utils/request'

// 商品分类管理
// /platformProductClassify/getAll 商品类别管理查询
export const getAllClass = (data) => request({
  url: '/platformProductClassify/getAll',
  method: 'POST',
  data
})

// /platformProductClassify/save 添加商品类别
export const createdShopClass = (data) => request({
  url: '/platformProductClassify/save',
  method: 'POST',
  data
})

// /platformProductClassify/update 修改商品类别
export const updateClass = (data) => request({
  url: '/platformProductClassify/update',
  method: 'POST',
  data
})

// /platformProductClassify/delete 删除商品类别
export const deleteClass = (data) => request({
  url: '/platformProductClassify/delete',
  method: 'POST',
  data
})

// /platformProductClassify/getById 商品类别编辑/查询
export const getClassDetails = (data) => request({
  url: '/platformProductClassify/getById',
  method: 'POST',
  data
})

// 商品管理
// 商品管理查询
export function getClassifyGetAll(data) {
  return request({
    url: '/platformProduct/getAll',
    method: 'POST',
    data
  })
}
// /platformProduct/save  新增选品商品
export function getClassifyAdd(data) {
  return request({
    url: '/platformProduct/save',
    method: 'POST',
    data
  })
}

// /platformProduct/update 修改选品商品
export function getClassifyUpdate(data) {
  return request({
    url: '/platformProduct/update',
    method: 'POST',
    data
  })
}

// /platformProduct/delete 删除商品
export function getClassifyDelete(data) {
  return request({
    url: '/platformProduct/delete',
    method: 'POST',
    data
  })
}

// /platformProduct/start 商品上下架
export function getClassifyStart(data) {
  return request({
    url: '/platformProduct/start',
    method: 'POST',
    data
  })
}

// 获取品牌列表
export function getBrandList() {
  return request({
    url: '/platformProduct/getBrandList',
    method: 'POST'
  })
}

// 商品分类
export function getClassify(data) {
  return request({
    url: '/platformProduct/getClassify',
    method: 'POST',
    data
  })
}
// /voucher/getAll 获取可选择的代金卷
export function getVoucher(data) {
  return request({
    url: '/voucher/getAll',
    method: 'POST',
    data
  })
}
